Skip to main content
POST
/
api
/
context-source
/
{context_source_id}
/
config
Create Github Config
curl --request POST \
  --url https://config.heyhumm.ai/api/context-source/{context_source_id}/config \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "repository_url": "<string>",
  "branch": "main",
  "access_token": "<string>",
  "include_patterns": "<string>",
  "exclude_patterns": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "repository_url": "<string>",
  "branch": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "include_patterns": "<string>",
  "exclude_patterns": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://heyhumm.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

context_source_id
string<uuid>
required

Body

application/json
repository_url
string
required
branch
string
default:main
access_token
string | null
include_patterns
string | null
exclude_patterns
string | null

Response

Successful Response

id
string<uuid>
required
repository_url
string
required
branch
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
include_patterns
string | null
exclude_patterns
string | null